gnutls_strerror(3)

NAME
gnutls_strerror - API function

SYNOPSIS
#include <gnutls/gnutls.h>

const char * gnutls_strerror(int error);

ARGUMENTS

int error
    is a GnuTLS error code, a negative error code

DESCRIPTION
This function is similar to strerror. The difference is that it accepts an error number returned by a gnutls function; In case of an unknown error a descriptive string is sent instead of NULL. Error codes are always a negative error code.

RETURNS
A string explaining the GnuTLS error message.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/